// Arquivo de exemplo: Transform.aspx.cs
using System;
using System.IO;
using System.Xml.XPath;
using System.Xml.Xsl;
public partial class Transform : System.Web.UI.Page {
	protected void Page_Load(object sender, EventArgs e) {
		XPathDocument doc = new XPathDocument(@"C:\livro\capitulo22\estado.xml");
		XslCompiledTransform xslt = new XslCompiledTransform();
		xslt.Load(@"C:\livro\capitulo22\foreach.xsl");
		using(FileStream fs = new FileStream(@"C:\livro\capitulo22\saida.html", FileMode.Create))
    		xslt.Transform(doc, null, fs);        
} }
